2018-06-24 21:01 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002581NetSurfGTK-specificpublic2018-04-22 14:06
ReporterFelix S. 
Assigned ToVincent Sanders 
SeverityfeatureReproducibilityalways 
StatusresolvedResolutionopen 
Product Version 
Target VersionFixed in Version3.8 
Summary0002581: Poor choice of keybindings in the GTK front-end
DescriptionNetSurf uses Ctrl-Left and Ctrl-Right keybindings for tab switching, unlike most other browsers which use Ctrl-PgUp and Ctrl-PgDn for that purpose. Usurping the Ctrl-Left and Ctrl-Right keybindings makes it impossible to use them for navigating between words in text fields and breaks expectations brought from other GTK programs. NetSurf offers no functionality to change this behaviour.
Steps To Reproduce0. Click on an text input field of a random GTK application.
1. Input some random words.
2. Try pressing Ctrl-Left and Ctrl-Right.
3. Observe the caret navigating between words.
4. Open a couple of tabs in NetSurf.
5. Click on the location bar.
6. Try pressing Ctrl-Left and Ctrl-Right.
7. Notice discrepancy in behaviour.
TagsNo tags attached.
Fixed in CI build #4332
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0001763

Daniel Silverstone (administrator)

Thank you for your bug report. We have confirmed this and agree that C-PgUp and C-PgDn (and perhaps C-Tab) would be much better than the current C-Left and C-Right. We will fix this when we can.
Vincent Sanders

~0001771

Vincent Sanders (administrator)

altered the gtk accelerators to be ctrl-pageup/down
+Notes

-Issue History
Date Modified Username Field Change
2017-12-06 15:52 Felix S. New Issue
2018-04-21 10:11 Daniel Silverstone Assigned To => Vincent Sanders
2018-04-21 10:11 Daniel Silverstone Status new => confirmed
2018-04-21 10:11 Daniel Silverstone Steps to Reproduce Updated View Revisions
2018-04-21 10:11 Daniel Silverstone Note Added: 0001763
2018-04-22 14:06 Vincent Sanders Status confirmed => resolved
2018-04-22 14:06 Vincent Sanders Fixed in Version => 3.8
2018-04-22 14:06 Vincent Sanders Fixed in CI build # => 4332
2018-04-22 14:06 Vincent Sanders Note Added: 0001771
+Issue History